Bug 186617 - hal doesn't set device groups from 50-default.perms
hal doesn't set device groups from 50-default.perms
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-24 14:21 EST by Joel Uckelman
Modified: 2013-03-05 22:45 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.5.9.8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 06:12:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joel Uckelman 2006-03-24 14:21:58 EST
+++ This bug was initially created as a clone of Bug #173757 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922
Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
If I login to X when my USB scanner is plugged in, the group and permissions
found in /etc/security/console.perms.d/50-default.perms are applied. If I login
to X and then plug in my scanner, the scanner device is not set to the proper group.

Version-Release number of selected component (if applicable):
hal-0.5.7-3

How reproducible:
Always

Steps to Reproduce:
1. Login to X.
2. Plug in my USB scanner.
3. Check the permissions on /proc/bus/usb/xxx/yyy.
  

Actual Results:  [uckelman@scylla ~]$ ls -l /dev/bus/usb/001/002
-rw-rw----  1 uckelman root 50 Nov 20 19:05 /dev/bus/usb/001/002


Expected Results:  [uckelman@scylla ~]$ ls -l /dev/bus/usb/001/002
-rw-rw----  1 uckelman users 50 Nov 20 19:05 /dev/bus/usb/001/002


Additional info:

Here's are the relevant bits from my
/etc/security/console.perms.d/50-defaults.perms:

<scanner>=/dev/scanner* /dev/usb/scanner*
<console>  0660 <scanner>    0660 root.users

And there is indeed a link called /dev/scanner-usbdev1.2 to /dev/bus/usb/001/002.

This is the same problem I reported in bug 173757, but it was closed because the
problem was claimed to be fixed in Rawhide. Now I'm using FC5, and apparently
that's not the case.
Comment 1 Joel Uckelman 2006-03-24 14:42:48 EST
I just discovered that if I create an /etc/udev/rules.d/99-local.rules
containing the following:

SUBSYSTEM!="usb_device", ACTION!="add", GOTO="local_rules_end"

# Epson Corp.|Perfection 610
SYSFS{idVendor}=="04b8", SYSFS{idProduct}=="0103", SYMLINK+="scanner-%k",
GROUP="users"

LABEL="local_rules_end"

I get the desired behavior---the group is properly set for the scanner when it's
plugged in. So maybe this isn't a bug now... (though I think it *was* a bug in FC4).
Comment 2 Joel Uckelman 2007-08-31 06:12:12 EDT
This is fixed in Fedora 7, so I'm closing the bug.

Note You need to log in before you can comment on or make changes to this bug.